<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head><link rel="stylesheet" type="text/css" href="https://2004.guadec.org/default.css" /><link rel="stylesheet" type="text/css" href="https://2004.guadec.org/guadec.css" /><link rel="icon" type="image/png" href="http://www.gnome.org/img/logo/foot-16.png" />
  <title>GUADEC 2004 - the GIMP Developers Conference</title>
  <style>
div.paper{
  clear: left;
}
div.figureright{
  float: right;
  clear: right;
  border: thin silver solid;
  margin: 0.5em;
  padding: 0.5em;
}

div.figureleft{
  float: left;
  clear: left;
  border: thin silver solid;
  margin: 0.5em;
  padding: 0.5em;
}

div.figureright p, div.figureleft p, div.figure p{
  text-align: center;
  font-size: smaller;
  text-indent: 0;
}
h1 {
  clear: both;
}
  </style>
</head>

<body><div id="body">

<!-- Icon to be added
<p align="right">
  <img src="../images/gimpcon.png" alt="GIMPCon 2004"/>
</p>
-->

<h1>The GIMP Developers Conference</h1>

<div class="figureleft">
  <p>
    <img
src="http://developer.gimp.org/screenshots/gimp-svg-import-thumb.png" 
alt="SVG import"/>
  </p>
  <p>GIMP can now import and export paths to SVG)</p>
</div>

<h2>What is the GIMP</h2>

<p>
GIMP is an acronym for GNU Image Manipulation Program. It is a
freely distributed program for such tasks as photo retouching
&amp; image composition and image authoring.
</p>

<p>
GIMP is written and developed primarily on GNU/Linux and runs
best under X11 on that platform, or varieties of UNIX. It is also 
available for Microsoft Windows and Mac OS X.
</p>

<h1>The GIMP at GUADEC</h1>

<h2>GIMP related talks at GUADEC</h2>

    <div class="paper">

      <div class="figureleft">
        <p>
          <img src="../schedule/Dave_Neary.jpg" 
               width="160" 
               height="200" 
               alt="Dave Neary"/>
        </p>
        <p>Dave Neary</p>
      </div>
      <p>Programming a GIMP Plug-in</p>

      <p><b>Dave Neary</b></p>
      <p>
      Dave Neary's been hanging around free software for about 6
years. He started off as a leech, and then decided to turn into a
leechee sometime around 1999, when he started working on the
GIMP. His main interest in the GIMP is revitalising the
relationship betweek the user and developer communities. He has
also helped out a little now and again on other things, and is
listed as a co-author of gnect.
      </p>
      <p>
      He is currently living and working in Lyon, France.
      </p>
    </div>
    <div class="paper">
      <div class="figureleft">
        <p>
          <img src="../schedule/Oyvind_Kolas.png" 
               width="200" 
               height="200"
               alt="&Oslash;yvind Kol&aring;s"/>
        </p>
        <p>&Oslash;yvind Kol&aring;s</p>
      </div>
      <p>Custom widgets in GtkCairo</p>
      <p><b>&Oslash;yvind Kol&aring;s</b></p>
      <p>
        &Oslash;yvind is working on an
application called Bauxite, which uses a node-based data
structure similar to GEGL This application is both a standalone
video editor and a comprehensive test bed of GEGL's node
structrues.
      </p>
      <p>
        &Oslash;yvind is also working on the next generation XCF format.
      </p>
      <p>
        His primary interests in the GIMP is graph compositing. 
      </p>
    </div>

<h2>Other graphics talks at GUADEC</h2>

<div class="figureright">
  <p>
    <img
src="http://developer.gimp.org/screenshots/gimp-brush-preview-thumb.png"
alt="Brush outlines in the GIMP"/>
  </p>
  <p>Preview of a brush outline</p>
</div>

<ul>
  <li>
    Typography and graphic design for programmers<br/>
    <b>Liam Quin</b>
  </li>
  <li>
    The future of rendering in GNOME<br/>
    <b>Owen Taylor</b>
  </li>
  <li>
    GStreamer Internals<br/>
    <b>Benjamin Otte</b>
  </li>
  <li>
    Digital Photography in a GNOME Environment<br/>
    <b>Hubert Figui&eacute;re</b>
  </li>
</ul>

<h1>Sponsors</h1>

    <div class="thanks">
      <p>
      Many thanks to our generous sponsors, without whom GIMPCon would 
      not be possible:
      </p>
      <p>
      <a href="http://www.fsf.org">
        <img src="http://www.fsf.org/graphics/gnu-head-sm.jpg" 
             alt="The Free Software Foundation"/>
      </a> 
      <b>The Free Software Foundation</b>: The Free Software Foundation has 
      consistently been the greatest supporter of the GIMP project, and has 
      been the primary sponsor of each of the three GIMP Conferences which 
      we have held. Many thanks go out to RMS and everyone else at GNU.
      </p>
      <p>
      <a href="http://www.oreilly.com">
        <img src="../images/oreilly.jpg" 
             alt="O'Reilly and Associates"/>
      </a> 
      <b>O'Reilly and Associates</b>: O'Reilly Media is a
well-respected publisher of technical books, particularly with a
focus on free software. The company's books and web
sites provide great sources of information, and their conferences
are always top notch. This year the GIMP Conference is very happy
to have O'Reilly as a sponsor.
      </p>
      <p>
      <a href="http://www.macgimp.com">
        <img src="mac_gimp_logo4.png" 
             alt="MacGIMP" />
      </a> 
      <b>MacGIMP</b>: Mat Caughron sells the GIMP commercially
      for <a href="http://www.wingimp.com">Windows</a> and <a
      href="http://www.macgimp.com">Mac</a> with 
      support and documentation, and has been generous on each 
      occasion we 
      have asked for his support.
      </p>
      <p>
        The GIMP is also fortunate to have a community of supporters who 
	have donated smaller amounts to the project. Many thanks go out to 
	all those supporters. More information on how to donate to the GIMP 
	is available on <a href="http://www.gimp.org/donating/">the GIMP 
	home page</a>.
      </p>
    </div>

<h2>GIMP conference activities</h2>
<p>
The GIMP Developers Conference, also known as GIMPCon, is a
gathering of GIMP and GEGL developers from all over the World. It
is a vital opportunity for the GIMP developers to meet each other
and discuss the direction which the software will take over the
coming years.
</p>
<p>
There have been two GIMP Conferences previously, both in Berlin,
and both graciously hosted by the CCC (the Chaos Computer Club),
a much less chaotic bunch of guys than their name suggests.
</p>

<div class="figure">
  <p>
    <img
src="http://developer.gimp.org/gimpcon/2003/people-small.png"
alt="Last year's GIMP Conference"/>
  </p>
  <p>The GIMP Developers Conference 2003</p>
</div>

<p>
Last year's GIMP Conference was a sub-event of the Chaos Communications 
Camp, a camping trip with broadband and laptops. During the camp, we 
discussed ways we could make the GIMP better both technically and as a 
community, which led up to the 2.0 release at the end of March.
</p>

<p>
At this year's conference we will discuss, among other things,
</p>
<ul>
  <li>
    What we expect from a replacement for the PDB (Procedural
    Database)
  </li>
  <li>
    How we will integrate GEGL into the GIMP
  </li>
  <li>
    Managing plug-in distribution
  </li>
  <li>
    The GIMP's organisation 
  </li>
</ul>

<h2>The GIMP, Live!</h2>

<p>
    Two of our resident graphics designers, Jakub Steiner
    (jimmac) and Tuomas Kuosmanen (tigert) are giving a
    user-day GIMP demonstration on Wednesday. Last year, jimmac
    presented a series of tutorials on basic GIMP techniques to
    a crowd of over 100 people, and held them captivated for
    nearly 3 hours. 
</p>
<p>
    This is an opportunity to see what the GIMP can do in the
    hands of professionals, and to pick up some tips for your 
    own use. A spectacle not to be missed. 
</p>

<h1>About the GIMP</h1>

<p>
Started in 1995 by Spencer Kimball and Peter Mattis, the GIMP has
evolved into a mature and powerful application. The current
release is version 2.0, which has major improvements over its
predecessors in the user interface, making the GIMP more 
accessible for casual users as well as graphics professionals. 
</p>

<div class="figureright">
  <p>
    <img
src="http://www.gimp.org/screenshots/macosx_screenshot1_thumb.jpg" 
alt="The GIMP on Mac OS X"/>
  </p>
  <p>GIMP on the Mac OS X operating system</p>
</div>

<p>
GIMP is expandable and extensible. It is designed to be augmented
with plug-ins and extensions which allow access to its
capabilties via a number of languages. The advanced scripting
interface allows everything from the simplest task to the most
complex image manipulation procedures to be easily scripted.
</p>

<p>
The software comes with lots of features, some are newly
implemented and available with the 2.0 Release. A short list over
the most interesting features are:
</p>
<ul>
  <li>
    a full suite of tools for painting and image manipulation
  </li>
  <li>
    preview of brush outline while you're drawing
  </li>
  <li>
    customizable interface using a drag-and-drop dockable
  </li>
  <li>
    advanced scripting capabilities (Scheme, Python, Perl)
  </li>
  <li>
    over 100 plug-ins available as standard
  </li>
  <li>
    fullscreen mode and view filters
  </li>
  <li>
    much, much more! 
  </li>
</ul>
</div>

<div id="sidebar">
<p class="section">GUADEC 2004</p>
<ul>
<li><a href="https://2004.guadec.org/press/">Press Releases</a></li>
<li><a href="https://2004.guadec.org/schedule/">Schedule of Events</a></li>
<li><a href="https://2004.guadec.org/help.html">Help at GUADEC!</a></li>
<li><a href="https://2004.guadec.org/about_auc.html">About AUC</a></li>
<li><a href="https://2004.guadec.org/about_kristiansand.html">About Kristiansand</a></li>
<li><a href="https://2004.guadec.org/sponsor/">Sponsors</a></li>
</ul>

<p class="section">Come to GUADEC!</p>
<ul>
<li><a href="https://2004.guadec.org/registration/">Registration</a></li>
<li><a href="https://2004.guadec.org/travel/">How to get there</a></li>
<li><a href="https://2004.guadec.org/accommodation/">Accommodation</a></li>
<li><a href="https://2004.guadec.org/events/">Social Events</a></li>
<li><a href="https://2004.guadec.org/faq.html">FAQ</a></li>
</ul>

<p class="section">Featured Speakers</p>
<div style="text-align: center; font-size: small;">
<p><img src="https://2004.guadec.org/images/bdale.jpg" alt="Bdale Garbee" /><br/>Bdale Garbee, CTO Linux HP</p>
<p><img src="https://2004.guadec.org/images/hildr.jpg" alt="Eva Hildrum" /><br/>Eva Hildrum, Director General, Ministry of Transport and Communications, Norway</p>
<p><img src="https://2004.guadec.org/images/parens.jpg" alt="Bruce Perens" /><br/>Bruce Perens, Acting Exec Director, Desktop Linux Consortium</p>
<p><img src="https://2004.guadec.org/images/stack.jpg" alt="Bob Stack" /><br/>Bob Stack, CTO Commonwealth of Massachusetts</p>
<p><img src="https://2004.guadec.org/images/villanueva.jpg" alt="Dr. Edgar Villanueva" /><br/>Dr. Edgar Villanueva, Congress, Peru</p>
<!--<p><img src="https://2004.guadec.org/images/vinje.jpg" alt="Thomas Vinje"/><br/>Thomas Vinje, Partner, Clifford Chance</p>-->
</div>
</div>

<div id="hdr">
<div id="logo"><a href="https://2004.guadec.org/"><img src="http://www.gnome.org/img/spacer" alt="Home" /></a></div>
<div id="banner"><img src="http://www.gnome.org/img/spacer" alt="" /></div>
<p class="none"></p>
<div id="hdrNav">
<a href="http://www.gnome.org/about/">About GNOME</a> &middot;
<a href="http://www.gnome.org/stable/">Download</a> &middot;
<!--<a href="http://www.gnome.org/start/"><i>Get Involved!</i></a> &middot;-->
<a href="http://www.gnome.org/"><b>Users</b></a> &middot;
<a href="http://developer.gnome.org/">Developers</a> &middot;
<a href="http://foundation.gnome.org/">Foundation</a> &middot;
<a href="http://www.gnome.org/contact/">Contact</a>
</div>
</div>

<div id="copyright">
Copyright &copy; 2003, <a href="http://www.gnome.org/">The GNOME Project</a>.<br />
<a href="http://validator.w3.org/check/referer">Optimised</a> for
<a href="http://www.w3.org/">standards</a>.
Hosted by <a href="http://www.redhat.com/">Red Hat</a>.
</div>

</body>

</html>
